#
# spec file for package numactl
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           numactl
Version:        2.0.14.20.g4ee5e0c
Release:        150400.1.24
Summary:        NUMA Policy Control
License:        GPL-2.0-only
Group:          System/Management
URL:            https://github.com/numactl/numactl/releases
Source0:        %{name}-%{version}.tar.gz
Source2:        baselibs.conf
# PATCH-FIX-OPENSUSE -- Avoid segfault when no node can be found in sysfs
Patch1:         0001-Fixed-segfault-when-no-node-could-be-found-in-sysfs-.patch
Patch2:         numactl-clearcache-pie.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Control NUMA policy for individual processes. Offer libnuma for
individual NUMA policy in applications.

%package -n libnuma1
Summary:        NUMA Policy Control
License:        LGPL-2.1-or-later
Group:          Development/Languages/C and C++

%description -n libnuma1
Control NUMA policy for individual processes. Offer libnuma for
individual NUMA policy in applications.

%package -n libnuma-devel
Summary:        NUMA Policy Control
License:        LGPL-2.1-or-later
Group:          Development/Languages/C and C++
Requires:       libnuma1 = %{version}

%description -n libnuma-devel
Control NUMA policy for individual processes. Offer libnuma for
individual NUMA policy in applications.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
./autogen.sh
%configure \
  --disable-static
make %{?_smp_mflags} CFLAGS="%{optflags}" V=1

%install
%make_install
rm  %{buildroot}%{_mandir}/man2/move_pages.2*
rm -f %{buildroot}/%{_libdir}/lib*.la

%post -n libnuma1 -p /sbin/ldconfig

%postun -n libnuma1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license LICENSE.GPL2 LICENSE.LGPL2.1
%{_bindir}/*
%{_mandir}/man8/*

%files -n libnuma1
%defattr(-,root,root)
%{_libdir}/lib*so.*

%files -n libnuma-devel
%defattr(-,root,root)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/lib*so
%{_libdir}/pkgconfig/numa.pc

%changelog
